<?php

/**
 * Feed Making View
 *
 * @link       http://www.smdesign.rs/kupindo-integracija
 * @since      1.0.0
 *
 * @package    Kupindo_Feed
 * @subpackage Kupindo_Feed/admin/partial
 * @author    Smdesign Studio <podrska@smdesign.rs>
 */
//ini_set("max_execution_time",30);
//echo ini_get("max_execution_time");

$dropDown = new Kupindo_Feed_Dropdown();
$product = new Kupindo_Feed_Products();
$attributes=new Kupindo_Feed_Default_Attributes();
$product->load_attributes();

?>

<div class="wrap" id="Feed">
    <h2><?php _e('WooCommerce Product Feed', 'kupindo-feed'); ?></h2>
    <?php echo WPFFWMessage()->infoMessage1(); ?>
    
    <form action="" id="generateFeed" class="generateFeed" method="post">
        <table class="widefat fixed">
            <thead>
            <tr>
                <td colspan="2"><b><?php _e('Content Settings', 'kupindo-feed'); ?></b></td>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td width="30%"><b><?php _e('Template', 'kupindo-feed'); ?> <span class="requiredIn">*</span></b></td>
                <td>
                    <select wftitle="<?php _e('Select a template', 'kupindo-feed'); ?>" name="provider" id="provider"
                            class="generalInput wfmasterTooltip" required>
                        <?php echo $dropDown->merchantsDropdown(); ?>
                    </select>
                </td>
            </tr>
            <tr>
                <td><b><?php _e('File Name', 'kupindo-feed'); ?> <span class="requiredIn">*</span></b></td>
                <td><input wftitle="<?php _e('Filename should be unique. Otherwise it will override the existing filename.', 'kupindo-feed') ?>"
                           name="filename" type="text" class="generalInput wfmasterTooltip" required="required"/>
                </td>
            </tr>
            <tr>
                <td><b><?php _e('Feed Type', 'kupindo-feed'); ?> <span class="requiredIn">*</span></b></td>
                <td>
                    <select name="feedType" id="feedType" class="generalInput" required>
                        <option value=""></option>
                        <option selected value="xml">XML</option>
                        <option value="csv">CSV</option>
                        <option value="txt">TXT</option>
                    </select>
                </td>
            </tr>
            
            <tr class="itemWrapper" style="display: none;">
                <td><b><?php _e('Items Wrapper', 'kupindo-feed'); ?> <span class="requiredIn">*</span></b></td>
                <td><input name="itemsWrapper" type="text" value="products" class="generalInput" required="required"/>
                </td>
            </tr>
            <tr class="itemWrapper" style="display: none;">
                <td><b><?php _e('Single Item Wrapper', 'kupindo-feed'); ?> <span class="requiredIn">*</span></b></td>
                <td><input name="itemWrapper" type="text" value="product" class="generalInput" required="required"/>
                </td>
            </tr>
            <tr class="itemWrapper" >
                <td><b><?php _e('Extra Header', 'kupindo-feed'); ?> </b></td>
                <td>
                    <textarea name="extraHeader" id="" style="width: 100%" placeholder="<?php echo _e('Insert Extra Header value. Press enter at the end of each line.', 'kupindo-feed') ?>" rows="3"></textarea>
                </td>
            </tr>
            <tr class="wf_csvtxt" style="display: none;">
                <td><b><?php _e('Delimiter', 'kupindo-feed'); ?> <span class="requiredIn">*</span></b></td>
                <td>
                    <select name="delimiter" id="delimiter" class="generalInput">
                        <option value=",">Comma</option>
                        <option value="tab">Tab</option>
                        <option value=":">Colon</option>
                        <option value=" ">Space</option>
                        <option value="|">Pipe</option>
                        <option value=";">Semi Colon</option>
                    </select>
                </td>
            </tr>
            <tr class="wf_csvtxt" style="display: none;">
                <td><b><?php _e('Enclosure', 'kupindo-feed'); ?> <span class="requiredIn">*</span></b></td>
                <td>
                    <select name="enclosure" id="enclosure" class="generalInput">
                        <option value='double'>"</option>
                        <option value="single">'</option>
                        <option value=" ">None</option>
                    </select>
                </td>
            </tr>

            </tbody>
        </table>
        <br/><br/>

        <div id="providerPage">
        </div>
    </form>
</div><!-- /wrap -->

