<?php

/**
 * The file that defines the merchants attributes
 *
 * A class definition that includes attributes and functions used across the
 * admin area.
 *
 * @link       http://www.smdesign.rs/kupindo-integracija
 * @since      1.0.0
 *
 * @package    Kupindo_Feed
 * @subpackage Kupindo_Feed/includes
 * @author     Smdesign Studio <podrska@smdesign.rs>
 */

class Kupindo_Feed_Default_Attributes
{

    public $wooAttributes = array();


    public function __construct()
    {

    }

    public function merchants(){
        $merchants=array(
            "--1"               => __('Feed Engine', 'kupindo-feed'),
            "custom"            => __('Custom Feed', 'kupindo-feed'),
            "---1"              => "",

            "--2"               => __('Feed Template', 'kupindo-feed'),
            "kupindo"           => __('Kupindo Katalog', 'kupindo-feed'),
            "---2"              => "",
        );
        return $merchants;
    }


        /**
         * Dropdown of Attribute List
         *
         * @param string $merchant
         * @param string $selected
         * @return string
         */
    
    public function getAttributeDropDown($merchant,$selected = "")
    {
            $str = "<option></option>";
            $method=$merchant."Attribute";
            foreach ($this->$method() as $key => $value) {
                if (substr($key, 0, 2) == "--") {
                    $str .= "<optgroup label='$value'>";
                } elseif (substr($key, 0, 2) == "---") {
                    $str .= "</optgroup>";
                } else {
                    $sltd = "";
                    if ($selected == $key)
                        $sltd = 'selected="selected"';
                    $str .= "<option $sltd value='$key'>" . $value . "</option>";
                }

            }
            return $str;
    }

	public function kupindoAttributes()
    {
        $attributes = array(
            "--1"                            => "Basic Information",
            "availability"                   => "Aktivan[availability]",
            "product_category"              	 => "IDPodKategorija[product_category]",
            "title"                    		 => "Naziv[title]",
            "description"                    => "Opis[description]",
            "price"                    		 => "Cena[price]",
            "quantity"                    	 => "Kolicina[quantity]",
			"images"                     	 => "ImageURL[images]",
            "id"                    		 => "IDInterni[id]",
            "sku"                    		 => "GTIN[sku]",
            "garantni_list"                  => "Garancija[garantni_list]",
            "duzina_garancije"               => "Duzina Garancije[duzina_garancije]",
            "condition"                 	 => "Stanje[condition]",
			"nacin_placanja"                 => "Nacin Placanja[nacin_placanja]",
            "nacin_slanja"               	 => "Nacin Slanja[nacin_slanja]",
            "besplatna_dostava"              => "Besplatna Dostava[besplatna_dostava]",
            "youtube_video"                  => "Youtube URL[youtube_video]"
        );

        return $attributes;
    }
}
